This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 169082 - Review Request: physfs: Library to provide abstract access to various archives
Review Request: physfs: Library to provide abstract access to various archives
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Reber
David Lawrence
http://www.icculus.org/physfs/
:
Depends On:
Blocks: FE-ACCEPT 169085
  Show dependency treegraph
 
Reported: 2005-09-22 16:42 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-25 17:27:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2005-09-22 16:42:05 EDT
Spec Name or Url: http://www.auroralinux.org/people/spot/review/physfs.spec
SRPM Name or Url: http://www.auroralinux.org/people/spot/review/physfs-1.0.1-1.src.rpm
Description: 

PhysicsFS is a library to provide abstract access to various archives. It is
intended for use in video games, and the design was somewhat inspired by Quake
3's file subsystem. The programmer defines a "write directory" on the physical
filesystem. No file writing done through the PhysicsFS API can leave that
write directory, for security. For example, an embedded scripting language
cannot write outside of this path if it uses PhysFS for all of its I/O, which
means that untrusted scripts can run more safely. Symbolic links can be
disabled as well, for added safety. For file reading, the programmer lists
directories and archives that form a "search path". Once the search path is
defined, it becomes a single, transparent hierarchical filesystem. This makes
for easy access to ZIP files in the same way as you access a file directly on
the disk, and it makes it easy to ship a new archive that will override a
previous archive on a per-file basis. Finally, PhysicsFS gives you
platform-abstracted means to determine if CD-ROMs are available, the user's
home directory, where in the real filesystem your program is running, etc.
Comment 1 Adrian Reber 2005-09-23 04:52:03 EDT
* rpmlint is happy
* builds in mock
* clean installation and removal
* source matches upstream
* spec looks good
* correct usage of -devel
* sane scripts
* test binary works

APPROVED

If you BR doxygen, you could also generate the documentation and put it into the
 -devel package.

The INSTALL file could be removed.

I also think that it should be no problem that the header file from the -devel
package is directly in /usr/include as it is only one file and the name doesn't
sound too generic. If physfs will start to provide more include files in the
future a separate include directory might make more sense.

Note You need to log in before you can comment on or make changes to this bug.